Index: murachi/src/main/java/ve/gob/cenditel/murachi/MurachiRESTWS.java
===================================================================
--- murachi/src/main/java/ve/gob/cenditel/murachi/MurachiRESTWS.java	(revision 4c2406edfd13629892ede606db61136472df4713)
+++ murachi/src/main/java/ve/gob/cenditel/murachi/MurachiRESTWS.java	(revision f18f7a5c8f769d83ef707872f88fe46cefccf47b)
@@ -290,5 +290,5 @@
 	 * @return archivo existente en el servidor y pasado como argumento
 	 * 
-	 * @api {get} /Murachi/0.1/archivos/descargas/id Descarga un archivo 
+	 * @api {get} /Murachi/0.1/archivos/descargas/{id} Descarga un archivo 
 	 * @apidescription Descarga un archivo existente en el servidor
 	 * @apiName Descargas
@@ -299,5 +299,5 @@
 	 * 
 	 * @apiExample Example usage:
-     * curl -i http://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/xxx
+     * curl -i https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/f011ff87-f0d0-4a5e-a0b9-a64eb70661ee
 	 * 	 
 	 * 
@@ -550,5 +550,5 @@
 	 * @throws MurachiException 
 	 * 
-	 * @api {get} /Murachi/0.1/archivos/id Verifica un archivo
+	 * @api {get} /Murachi/0.1/archivos/{idFile} Verifica un archivo
 	 * @apiName Verifica
 	 * @apiGroup Archivos
@@ -557,4 +557,5 @@
 	 * en caso de estar firmado. 
 	 * 
+	 * @apiParam {String} idFile identificador del archivo que se encuentra en el servidor y se desea verificar.
 	 * 
 	 * @apiSuccess {String} fileId Identificador único del archivo en el servidor
@@ -612,5 +613,5 @@
 	 * 
 	 * @apiExample Example usage:
-     * curl -i http://murachi.cenditel.gob.ve/Murachi/0.1/archivos/id
+     * curl -i http://murachi.cenditel.gob.ve/Murachi/0.1/archivos/f011ff87-f0d0-4a5e-a0b9-a64eb70661ee
 	 * 
 	 * @apiErrorExample {json} Error-Response:
@@ -2227,5 +2228,36 @@
 	}
 	
-	
+	/**
+	 * Descarga un archivo que se encuentra dentro de un contenedor BDOC.
+	 * 
+	 * @param fileId identificador del contenedor BDOC que se encuentra en el servidor
+	 * @param dataFileId identificador del archivo que se desea descargar. Los archivos que
+	 * se encuentran dentro de un contenedor se comienzan a identificar con cero (0).
+	 * 
+	 * @return 
+	 * 
+	 * @api {get} /Murachi/0.1/archivos/bdocs/archivos/{fileId}/{dataFileId} Descarga un archivo del Contenedor 
+	 * @apidescription Descarga un archivo existente dentro del contenedor BDOC. Un contenedor BDOC puede tener uno
+	 * o varios archivos. Los identificadores de archivos dentro de un contenedor BDOC se comienzan e enumerar con
+	 * cero (0).
+	 * 
+	 * @apiName BDocsDescarga
+	 * @apiGroup BDOCS
+	 * @apiVersion 0.1.0
+	 * 
+	 * @apiParam {String} fileId identificador del contenedor BDOC que se encuentra en el servidor
+	 * @apiParam {Number} dataFileId identificador del archivo que se desea descargar. Los archivos que
+	 * se encuentran dentro de un contenedor se comienzan a identificar con cero (0).
+	 * 
+	 * @apiExample Example usage:
+     * curl -i http://murachi.cenditel.gob.ve/Murachi/0.1/archivos/bdocs/archivos/f011ff87-f0d0-4a5e-a0b9-a64eb70661ee/0
+	 * 	 
+	 * 
+	 * @apiErrorExample {json} Error-Response:
+	 *     HTTP/1.1 404 Not Found
+	 *     {
+	 *       "fileExist": false
+	 *     }
+	 */
 	@GET
 	@Path("/bdocs/archivos/{fileId}/{dataFileId}")
@@ -2234,4 +2266,6 @@
 		logger.info("/bdocs/archivos/"+fileId+"/"+Integer.toString(dataFileId));
 		
+		logger.debug("dataFileId: " + Integer.toString(dataFileId));
+				
 		String fullPathBdocFile = SERVER_UPLOAD_LOCATION_FOLDER + fileId; 
 		
@@ -2266,8 +2300,11 @@
 				logger.debug("obtenido DataFile: "+Integer.toString(dataFileId));
 				
-				df.saveAs("/tmp/extraido.jpg");
-				logger.debug("escrito DataFile: /tmp/extraido.jpg");
-				
-				File fileToDownload = new File("/tmp/extraido.jpg");
+				String name = df.getName();
+				String dfSaved = SERVER_UPLOAD_LOCATION_FOLDER+name; 
+
+				df.saveAs(dfSaved);
+				logger.debug("guradado DataFile: "+dfSaved);
+				
+				File fileToDownload = new File(dfSaved);
 				
 				ResponseBuilder builder = Response.ok(fileToDownload);
@@ -2275,11 +2312,6 @@
 		    	response = builder.build();
 				
-				
-				//response = Response.status(200).entity("{\"DataFileExist\": true}").type("text/plain").build();
-				
 			}
-			
-	    	
-	    	
+				    	
 	    } else {
 	    	logger.error("El archivo con id: "+fileId+ " no existe.");
